# Class ParamFactory

- Defined in src/router/params/param-factory.js:3

##### Index

### Constructors

constructor

### Properties

urlServiceConfig

### Methods

fromConfig
fromPath
fromSearch

## Constructors

### constructor

- new ParamFactory(urlServiceConfig: any): ParamFactory

  #### Parameters

  - urlServiceConfig: any

  #### Returns ParamFactory

  - Defined in src/router/params/param-factory.js:4

## Properties

### urlServiceConfig

urlServiceConfig: any

- Defined in src/router/params/param-factory.js:5

## Methods

### fromConfig

- fromConfig(id: any, type: any, state: any): Param

  #### Parameters

  - id: any
  - type: any
  - state: any

  #### Returns Param

  - Defined in src/router/params/param-factory.js:8

### fromPath

- fromPath(id: any, type: any, state: any): Param

  #### Parameters

  - id: any
  - type: any
  - state: any

  #### Returns Param

  - Defined in src/router/params/param-factory.js:11

### fromSearch

- fromSearch(id: any, type: any, state: any): Param

  #### Parameters

  - id: any
  - type: any
  - state: any

  #### Returns Param

  - Defined in src/router/params/param-factory.js:14